
%define major 0
%define libname %mklibname dcadec %{major}
%define develname %mklibname -d dcadec

Name:		dcadec
Version:	0.1.0
Release:	%mkrel 1
Summary:	dcadec is a free DTS Coherent Acoustics decoder
License:	LGPLv2+
URL:		https://github.com/foo86/dcadec
Source0:	https://github.com/foo86/dcadec/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Group:		Sound

%description
dcadec is a free DTS Coherent Acoustics decoder with support for HD extensions


%package -n	%{libname}
Summary:	Library files for dcadec
Group:		System/Libraries

%description -n	%{libname}
%{summary}


%package -n	%{develname}
Summary:	Development files for dcadec
Group:		Development/Libraries
Requires: %{libname} = %{version}-%{release}


%description -n	%{develname}
%{summary}


%prep
%setup -q


%build
CFLAGS=-fPIC make %{?_smp_mflags}


%install
rm -rf %buildroot
PREFIX=/usr LIBDIR=%{_libdir} CONFIG_SHARED=1 %make_install
cp -a libdcadec/libdcadec.so.0 %{buildroot}%{_libdir}/
chmod +x %{buildroot}%{_libdir}/libdcadec.so.0.0.0


%files
%{_bindir}/dcadec

%files -n %{libname}
%{_libdir}/libdcadec.so.0
%{_libdir}/libdcadec.so.0.0.0

%files -n %{develname}
%{_includedir}/libdcadec
%{_libdir}/libdcadec.so
%{_libdir}/pkgconfig/dcadec.pc

%clean
rm -rf %buildroot

%changelog
* Sun Feb 21 2016 bb <bb> 0.1.0-1pclos2016
- import for kodi 16.0

